AnsweredAssumed Answered

Extracting Custom Property Information from Weldment Cut Lists

Question asked by Kelvin Cheung on Dec 3, 2019
Latest reply on Dec 5, 2019 by Kelvin Cheung

I'm trying to extract information from a weldment cut list. This particular code just runs through all cut lists in a weldment/sheetmetal part and looks at the evaluated Length value. For some reason the Evaluated Value creturns a blank when I check it? The screenshot below shows the cut list properties. Not really sure what's going on here.

 

Any help would be greatly appreciated.

 

Dim swApp As SldWorks.SldWorks
Dim swModel As SldWorks.ModelDoc2

Dim Temp As String
Dim bool As String

Dim swFeat As Feature

Dim eLength As String


Sub main()

Set swApp = Application.SldWorks
Set swModel = swApp.ActiveDoc
Set swFeat = swModel.FirstFeature

Do While Not swFeat Is Nothing

If swFeat.GetTypeName2 = "CutListFolder" Then

bool = swFeat.CustomPropertyManager.Get4("LENGTH", False, Temp, eLength)

MsgBox (eLength)

End If

Set swFeat = swFeat.GetNextFeature

Loop

End Sub

 

Outcomes